ECHO OFF
IF "%1" == "" GOTO CDRIVE
IF "%1" == "C:" GOTO CDRIVE
IF "%1" == "c:" GOTO CDRIVE
IF "%1" == "D:" GOTO NOTCDRIVE
IF "%1" == "d:" GOTO NOTCDRIVE
IF "%1" == "E:" GOTO NOTCDRIVE
IF "%1" == "e:" GOTO NOTCDRIVE
IF "%1" == "F:" GOTO NOTCDRIVE
IF "%1" == "f:" GOTO NOTCDRIVE
IF "%1" == "G:" GOTO NOTCDRIVE
IF "%1" == "g:" GOTO NOTCDRIVE
ECHO  This install program will only work for drives C:,D:,E:,F:, or G:.
PAUSE
rem  Call the errorbat.bat to terminate the batch file.
B:ERRORBAT
:NOTCDRIVE
%1
GOTO CONTINUE1
:CDRIVE
C:
:CONTINUE1
CHDIR \
MKDIR FLY
CD FLY
COPY B:FLY.EXE
COPY B:SHADOWS.EXE
COPY B:TOUR.BAT
COPY B:*.TUR
COPY B:EAGLE.BMP
COPY B:CONTOUR.MPQ
COPY B:CANYON.QD4
B:MERGEQD B: